package com.iden.common.cache;


import com.face.monitor.FaceMonitor;
import com.iden.common.facetool.pool.MyFaceMonitor;
import org.apache.commons.pool2.impl.GenericObjectPool;

import java.util.HashMap;
import java.util.Map;

public class FaceMoniterCache {
    private static Map<String, FaceMonitor> faceMonitorHashMap = new HashMap<>();
    private static Map<String, GenericObjectPool<MyFaceMonitor>> genericObjectPoolHashMap = new HashMap<>();

    public static FaceMonitor getFaceMonitor(String key){
      return faceMonitorHashMap.get(key);
    }

    public static void setFaceMonitor(String key,FaceMonitor faceMonitor){
         faceMonitorHashMap.put(key,faceMonitor);
    }

    public static GenericObjectPool<MyFaceMonitor> getGenericObjectPool(String key){
        return genericObjectPoolHashMap.get(key);
    }

    public static void setGenericObjectPool(String key,GenericObjectPool<MyFaceMonitor> genericObjectPool){
        genericObjectPoolHashMap.put(key,genericObjectPool);
    }
}
